### Class

# GdkPixbuf PixbufSimpleAnim

#### Description [src]

    final class GdkPixbuf.PixbufSimpleAnim : GdkPixbuf.PixbufAnimation {
      /* No available fields */
    }

An opaque struct representing a simple animation.

#### Ancestors

- GdkPixbufAnimation
- GObject

#### Constructors

###### gdk_pixbuf_simple_anim_new

Creates a new, empty animation.

Available since: 2.8

#### Instance methods

###### gdk_pixbuf_simple_anim_add_frame

Adds a new frame to `animation`. The `pixbuf` must have the dimensions specified when the animation was constructed.

Available since: 2.8

###### gdk_pixbuf_simple_anim_get_loop

Gets whether `animation` should loop indefinitely when it reaches the end.

Available since: 2.18

###### gdk_pixbuf_simple_anim_set_loop

Sets whether `animation` should loop indefinitely when it reaches the end.

Available since: 2.18

##### Methods inherited from GdkPixbufAnimation (7)

###### gdk_pixbuf_animation_get_height

Queries the height of the bounding box of a pixbuf animation.

###### gdk_pixbuf_animation_get_iter

Get an iterator for displaying an animation.

###### gdk_pixbuf_animation_get_static_image

Retrieves a static image for the animation.

###### gdk_pixbuf_animation_get_width

Queries the width of the bounding box of a pixbuf animation.

###### gdk_pixbuf_animation_is_static_image

Checks whether the animation is a static image.

###### gdk_pixbuf_animation_ref

Adds a reference to an animation.

Deprecated since: 2.0

###### gdk_pixbuf_animation_unref

Removes a reference from an animation.

Deprecated since: 2.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### GdkPixbuf.PixbufSimpleAnim:loop

Whether the animation should loop when it reaches the end.

Available since: 2.18

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GdkPixbufPixbufSimpleAnimClass {
      /* no available fields */
    }